Project

General

Profile

Actions

Bug #12052

closed

User story #11684: Replace rudder-agent init script by systemd units on compatible OSes

Bug #11956: Broken 4.3 agent packages

Bug #12027: deb 4.3 package is broken

Bug #12029: deb 4.3 package is broken

Bug #12036: rudder-server-root postinst script is not packaged

Error when installing Rudder 4.3 on Debian - rudder-server-root-postinst is not packaged

Added by Nicolas CHARLES about 3 years ago. Updated about 3 years ago.

Status:
Rejected
Priority:
N/A
Assignee:
-
Category:
-
Target version:
Severity:
Critical - prevents main use of Rudder | no workaround | data loss | security
User visibility:
Getting started - demo | first install | level 1 Techniques
Effort required:
Priority:
94

Description

==> debian_server: INFO: The migration has completed successfully.
==> debian_server: INFO: End of migration script
==> debian_server: INFO: Adding ncf-api-venv to the rudder group...
==> debian_server:  Done
==> debian_server: INFO: Restarting Rudder webapp and inventory-endpoint...
==> debian_server:  Done
==> debian_server: Setting up rudder-server-root (4.3.0~alpha1~git201801250851-stretch0) ...
==> debian_server: /var/lib/dpkg/info/rudder-server-root.postinst: 28: /var/lib/dpkg/info/rudder-server-root.postinst: 
==> debian_server: /opt/rudder/share/package-scripts/rudder-server-root-postinst: not found
==> debian_server: dpkg: error processing package rudder-server-root (--configure):
==> debian_server:  subprocess installed post-installation script returned error exit status 127
==> debian_server: Processing triggers for libc-bin (2.24-11+deb9u1) ...
==> debian_server: Processing triggers for rsyslog (8.24.0-1) ...
==> debian_server: Processing triggers for systemd (232-25+deb9u1) ...
==> debian_server: Errors were encountered while processing:
==> debian_server:  rudder-server-root
==> debian_server: E
==> debian_server: : 
==> debian_server: Sub-process /usr/bin/dpkg returned an error code (1)
==> debian_server: ldap_add: No such object (32)
Actions #1

Updated by Nicolas CHARLES about 3 years ago

  • Subject changed from Error when installing Rudder 4.3 on Debian to Error when installing Rudder 4.3 on Debian - rudder-server-root.postinst is not packaged
  • Parent task set to #12036
Actions #2

Updated by Nicolas CHARLES about 3 years ago

  • Subject changed from Error when installing Rudder 4.3 on Debian - rudder-server-root.postinst is not packaged to Error when installing Rudder 4.3 on Debian - rudder-server-root-postinst is not packaged
Actions #3

Updated by Nicolas CHARLES about 3 years ago

file is not planned to be put by the package:

root@server:/var/lib/dpkg/info# grep -r "package-scripts" *
rudder-agent.list:/opt/rudder/share/package-scripts
rudder-agent.list:/opt/rudder/share/package-scripts/rudder-agent-postinst
rudder-agent.md5sums:b59b5ccbdec98bc38fc0dfa214e367f0  opt/rudder/share/package-scripts/rudder-agent-postinst
rudder-agent.postinst:    /opt/rudder/share/package-scripts/rudder-agent-postinst "${CFRUDDER_FIRST_INSTALL}" "deb" "${CFRUDDER_USE_SYSTEMD}" 
rudder-server-root.postinst:        /opt/rudder/share/package-scripts/rudder-server-root-postinst "${CFRUDDER_FIRST_INSTALL}" 

Actions #4

Updated by Vincent MEMBRÉ about 3 years ago

  • Target version changed from 4.3.0~beta1 to 4.3.0~rc1
Actions #5

Updated by Benoît PECCATTE about 3 years ago

  • Severity set to Critical - prevents main use of Rudder | no workaround | data loss | security
  • User visibility set to Getting started - demo | first install | level 1 Techniques
  • Priority changed from 0 to 94
Actions #6

Updated by Vincent MEMBRÉ about 3 years ago

  • Status changed from New to Rejected

This was fixed in 4.3.0~beta1, rudder-server-root now installs correctly on Debian

Actions

Also available in: Atom PDF